Subject: Re: [PATCH 18/18] flag parameters: check magic constants

From: Andrew Morton <[email-masked]>
Date: Mon, 12 May 2008 22:19:17 -0700

On Mon, 12 May 2008 22:10:58 -0700 Ulrich Drepper <[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Andrew Morton wrote:
> > m68k too..
> 
> I cannot build it here but looking at the headers:
> 
> - - include/asm-m68k/fcntl.h does not define O_NONBLOCK; and therefore
> 
> - - the definition from include/asm-generic/fcntl.h is used which is 04000
> 
> 
> Is there any magic I miss?
> 

Different bug, I think.

net/socket.c: In function 'sys_paccept':
net/socket.c:1543: error: implicit declaration of function 'set_restore_sigmask'